Page MenuHomePhabricator

Update zuul's GitPython dep
Closed, ResolvedPublic

Description

This is required for the update to gerrit 2.16.

zuul fails with:

2019-01-25 22:27:52,536 ERROR zuul.MergeServer: Exception while running job
Traceback (most recent call last):
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/zuul/merger/server.py", line 89, in run
    self.merge(job)
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/zuul/merger/server.py", line 104, in merge
    commit = self.merger.mergeChanges(args['items'])
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/zuul/merger/merger.py", line 363, in mergeChanges
    commit = self._mergeItem(item, recent)
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/zuul/merger/merger.py", line 310, in _mergeItem
    commit = repo.getCommitFromRef(zuul_ref)
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/zuul/merger/merger.py", line 138, in getCommitFromRef
    if refname not in repo.refs:
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/git/repo/base.py", line 248, in references
    return Reference.list_items(self)
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/git/util.py", line 745, in list_items
    out_list.extend(cls.iter_items(repo, *args, **kwargs))
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/git/refs/symbolic.py", line 594, in _iter_items
    for sha, rela_path in cls._iter_packed_refs(repo):
  File "/usr/share/python/zuul/local/lib/python2.7/site-packages/git/refs/symbolic.py", line 98, in _iter_packed_refs
    raise TypeError("PackingType of packed-Refs not understood: %r" % line)
TypeError: PackingType of packed-Refs not understood: '# pack-refs with: peeled fully-peeled sorted'

This is fixed here https://github.com/gitpython-developers/GitPython/commit/5a358f2cfdc46a99db9e595d7368ecfecba52de0

Related Objects

StatusAssignedTask
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
OpenNone
OpenNone
ResolvedPaladox
OpenNone
OpenNone
OpenNone
StalledNone
OpenNone
OpenPaladox
ResolvedPaladox
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedPaladox
Resolvedhashar

Event Timeline

Paladox created this task.Jan 25 2019, 10:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 25 2019, 10:50 PM
Paladox renamed this task from Update zuul's GitPython dev to Update zuul's GitPython dep.Jan 25 2019, 10:50 PM

Change 486702 had a related patch set uploaded (by Paladox; owner: Paladox):
[integration/zuul@debian/jessie-wikimedia] Update GitPython to 2.1.8+

https://gerrit.wikimedia.org/r/486702

that fixes it for 2.16 for me.

Paladox assigned this task to hashar.Feb 15 2019, 7:18 PM
Paladox triaged this task as Normal priority.

Assigning to @hashar as he needs to do the zuul upgrade.

hashar removed hashar as the assignee of this task.Mar 19 2019, 8:36 PM

Change 501203 had a related patch set uploaded (by Hashar; owner: Paladox):
[integration/zuul@patch-queue/debian/jessie-wikimedia] Update GitPython to 2.1.11

https://gerrit.wikimedia.org/r/501203

Change 486702 abandoned by Hashar:
Update GitPython to 2.1.11

Reason:
Moved to the patch-queue-debian/jessie-wikimedia branch with https://gerrit.wikimedia.org/r/#/c/integration/zuul/ /501203

Thank you!

https://gerrit.wikimedia.org/r/486702

Change 501203 merged by Hashar:
[integration/zuul@patch-queue/debian/jessie-wikimedia] Update GitPython to 2.1.11

https://gerrit.wikimedia.org/r/501203

Change 501325 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/zuul@debian/jessie-wikimedia] 2.5.1-wmf6: bugfix and Gerrit 2.16 support

https://gerrit.wikimedia.org/r/501325

hashar assigned this task to Paladox.Apr 4 2019, 2:13 PM

Change 501325 merged by jenkins-bot:
[integration/zuul@debian/jessie-wikimedia] 2.5.1-wmf6: bugfix and Gerrit 2.16 support

https://gerrit.wikimedia.org/r/501325

hashar closed this task as Resolved.Apr 8 2019, 12:23 PM

I have upgraded Zuul to 2.5.1-wmf6 (T208426):

contint1001:~$ dpkg -L zuul|grep GitPython
/usr/share/python/zuul/lib/python2.7/site-packages/GitPython-2.1.11.dist-info